Data Source Schemas

Prev Next
Get
/api/v1/Catalog/data-sources/{dataSourceId}/schemas

Returns a list of schemas for a specified data source

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

The data source in which the schemas are located

Responses
200

OK

Expand All
object
dataSource
object (Configuration.Api.Models.v1.DataSourceSummary)
dataSourceName
string | null

The name of the data source

dataSourceId
integer (int32)

The ID of the data source

dataSourceServer
string | null

The name of the data source server

dataSourceDatabase
string | null

The name of the data source database

includeInTrustScore
boolean

Whether the data source is included in the trust score

schemas
Array of object (Configuration.Api.Models.v1.SchemaSummary) | null

Summaries for all schemas of the specified data source

object
schemaName
string | null

The name of the schema

schemaId
integer (int32)

The ID of the schema

includeInTrustScore
boolean

Whether the schema is included in the trust score